testing::internal::bool_constant< bool_value > Struct Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::bool_constant< bool_value >:

## Public Types

typedef bool_constant< bool_value > | type

## Static Public Attributes

static const bool | value = bool_value

## Detailed Description

### template<bool bool_value>
struct testing::internal::bool_constant< bool_value >

Definition at line 2184 of file gtest.h.

## Member Typedef Documentation

## type

template<bool bool_value>

typedef bool_constant<bool_value> testing::internal::bool_constant< bool_value >::type

Definition at line 2185 of file gtest.h.

## Member Data Documentation

## value

template<bool bool_value>

const bool testing::internal::bool_constant< bool_value >::value = bool_value

static

Definition at line 2186 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h